package com.lynarstudios.ls.std.time.systemtime;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

class DateParameterTest 
{
  private final DateParameter parameter = new DateParameter();

  @Test
  void getDay() 
  {
    Assertions.assertEquals(0, this.parameter.getDay());
  }

  @Test
  void getHour() 
  {
    Assertions.assertEquals(0, this.parameter.getHour());
  }

  @Test
  void getMinute() 
  {
    Assertions.assertEquals(0, this.parameter.getMinute());
  }

  @Test
  void getMonth()
  {
    Assertions.assertEquals(0, this.parameter.getMonth());
  }

  @Test
  void getSecond() 
  {
    Assertions.assertEquals(0, this.parameter.getSecond());
  }

  @Test
  void getYear() 
  {
    Assertions.assertEquals(0, this.parameter.getYear());
  }

  @Test
  void setDay()
  {
    this.parameter.setDay((byte) 1);
    Assertions.assertEquals(1, this.parameter.getDay());
  }

  @Test
  void setHour()
  {
    this.parameter.setHour((byte) 10);
    Assertions.assertEquals(10, this.parameter.getHour());
  }

  @Test
  void setMinute()
  {
    this.parameter.setMinute((byte) 52);
    Assertions.assertEquals(52, this.parameter.getMinute());
  }

  @Test
  void setMonth()
  {
    this.parameter.setMonth((byte) 6);
    Assertions.assertEquals(6, this.parameter.getMonth());
  }

  @Test
  void setSecond()
  {
    this.parameter.setSecond((byte) 22);
    Assertions.assertEquals(22, this.parameter.getSecond());
  }

  @Test
  void setYear()
  {
    this.parameter.setYear(1989);
    Assertions.assertEquals(1989, this.parameter.getYear());
  }
}